//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;attGroup ref="{}MultiplicityRangeRequired"/&gt;
 *       &lt;attribute name="conformance" type="{}ConformanceType" /&gt;
 *       &lt;attribute name="isMandatory" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "cardinality")
public class Cardinality {

    @XmlAttribute(name = "conformance")
    private ConformanceType conformance;
    @XmlAttribute(name = "isMandatory")
    private Boolean isMandatory;
    @XmlAttribute(name = "minimumMultiplicity", required = true)
    private int minimumMultiplicity;
    @XmlAttribute(name = "maximumMultiplicity", required = true)
    private String maximumMultiplicity;

    /**
     * Gets the value of the conformance property.
     * 
     * @return
     *     possible object is
     *     {@link ConformanceType }
     *     
     */
    public ConformanceType getConformance() {
        return conformance;
    }

    /**
     * Sets the value of the conformance property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConformanceType }
     *     
     */
    public void setConformance(ConformanceType value) {
        this.conformance = value;
    }

    /**
     * Gets the value of the isMandatory property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isIsMandatory() {
        if (isMandatory == null) {
            return false;
        } else {
            return isMandatory;
        }
    }

    /**
     * Sets the value of the isMandatory property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIsMandatory(Boolean value) {
        this.isMandatory = value;
    }

    /**
     * Gets the value of the minimumMultiplicity property.
     * @return int
     */
    public int getMinimumMultiplicity() {
        return minimumMultiplicity;
    }

    /**
     * Sets the value of the minimumMultiplicity property.
     * @param value allowed object is int
     * 
     */
    public void setMinimumMultiplicity(int value) {
        this.minimumMultiplicity = value;
    }

    /**
     * Gets the value of the maximumMultiplicity property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMaximumMultiplicity() {
        return maximumMultiplicity;
    }

    /**
     * Sets the value of the maximumMultiplicity property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMaximumMultiplicity(String value) {
        this.maximumMultiplicity = value;
    }

}
